algorithmic modeling for Rhino
I am trying to create a planar Brep from a polyline. A little help with the syntax would be great.
Rhino.Geometry.Curve crv = new Rhino.Geometry.Curve(); //create new Curve
crv = poly1.ToNurbsCurve; //assign poly1 as a NurbsCurve to crv
Rhino.Geometry.Brep.CreatePlanarBreps closedPlanar0 = new
Rhino.Geometry.Brep.CreatePlanarBreps(poly1);
//create planar Brep with poly1 as type curve
A = closedPlanar0; //return the closed planar Brep
Tags:
Hi Charles,
something along these lines:
//Curve crv = poly.ToNurbsCurve(); //if poly is of type Polyline
Brep[] allBreps = Rhino.Geometry.Brep.CreatePlanarBreps(crv);
//creates multiple planar Brep's with crv
A = allBreps; //return the closed planar Brep
Cheers,
- Giulio
_____________
giulio@mcneel.com
perfect,
much thanks
Welcome to
Grasshopper
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
Added by Parametric House 0 Comments 0 Likes
© 2024 Created by Scott Davidson. Powered by